--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Does <em>str</em> starts with the <em>sub</em> string?
full_name: RParsec::StringUtils::starts_with?
is_singleton: true
name: starts_with?
params: (str, sub)
visibility: public
